=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: kalarm
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Michael Meskes <meskes@debian.org>,
            Sandro Knauß <hefee@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:24.12.3~),
-               libakonadicontact-dev (>= 4:24.12.3~),
-               libakonadimime-dev (>= 4:24.12.3~),
-               libkcalendarutils-dev (>= 4:24.12.3~),
+               libakonadi-dev (>= 4:25.04.3~),
+               libakonadicontact-dev (>= 4:25.04.3~),
+               libakonadimime-dev (>= 4:25.04.3~),
+               libkcalendarutils-dev (>= 4:25.04.3~),
                libkf6auth-dev (>= 6.6.0~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
@@ -41,19 +42,20 @@
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 24.12.3~),
-               libkmailtransport-dev (>= 24.12.3~),
-               libkmime-dev (>= 24.12.3~),
+               libkidentitymanagement-dev (>= 25.04.3~),
+               libkmailtransport-dev (>= 25.04.3~),
+               libkmime-dev (>= 25.04.3~),
                libktextaddons-dev (>= 1.5.4~),
+               libmpv-dev,
                libvlc-dev (>= 3.0.0~),
                libvlccore-dev (>= 3.0.0~),
                libx11-dev,
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/kalarm
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kalarm
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kalarm.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalarm
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalarm
 Rules-Requires-Root: no
 
 Package: kalarm
