## kalarm 25.08.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,18 +1,18 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.3.3")
+set(PIM_VERSION "6.5.0")
 set(PIM_VERSION ${PIM_VERSION})
-set(RELEASE_SERVICE_VERSION_MAJOR "24")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Whenever KALARM_VERSION changes, set the 3 variables below it to the first
 # KDE Release Service version which will contain that KAlarm release.
 # (This must be the full release version, not an alpha or beta release.)
-set(KALARM_VERSION "3.10.3")
-set(KALARM_VERSION_RELEASE_SERVICE_MAJOR "24")
-set(KALARM_VERSION_RELEASE_SERVICE_MINOR "12")
-set(KALARM_VERSION_RELEASE_SERVICE_MICRO "3")
+set(KALARM_VERSION "3.11.2")
+set(KALARM_VERSION_RELEASE_SERVICE_MAJOR "25")
+set(KALARM_VERSION_RELEASE_SERVICE_MINOR "08")
+set(KALARM_VERSION_RELEASE_SERVICE_MICRO "0")
 
 # If KAlarm's version has not changed since the last KDE Release Service version,
 # this code sets a sub-version x.x.x.N to avoid duplicate version numbers in
@@ -26,7 +26,7 @@
 
 project(kalarm VERSION ${KALARM_VERSION})
 
-set(KF_MIN_VERSION "6.6.0")
+set(KF_MIN_VERSION "6.14.0")
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${kalarm_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})
@@ -38,7 +38,6 @@
 include(GenerateExportHeader)
 include(ECMGenerateHeaders)
 
-include(FeatureSummary)
 include(CheckFunctionExists)
 
 include(KDEInstallDirs)
@@ -48,10 +47,10 @@
 include(ECMQtDeclareLoggingCategory)
 include(ECMDeprecationSettings)
 include(ECMFeatureSummary)
-set(QT_REQUIRED_VERSION "6.7.0")
-set(KTEXTADDONS_MIN_VERSION "1.5.4")
+set(QT_REQUIRED_VERSION "6.8.0")
+set(KTEXTADDONS_MIN_VERSION "1.6.0")
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION )
+set(KDEPIM_DEV_VERSION)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -60,18 +59,18 @@
 
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
-set(AKONADI_VERSION "6.3.3")
-set(AKONADI_MIMELIB_VERSION "6.3.3")
-set(AKONADI_CONTACT_VERSION "6.3.3")
-set(KMAILTRANSPORT_LIB_VERSION "6.3.3")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.3.3")
-set(KMIME_LIB_VERSION "6.3.3")
+set(AKONADI_VERSION "6.5.0")
+set(AKONADI_MIMELIB_VERSION "6.5.0")
+set(AKONADI_CONTACT_VERSION "6.5.0")
+set(KMAILTRANSPORT_LIB_VERSION "6.5.0")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.0")
+set(KMIME_LIB_VERSION "6.5.0")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
 
 find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED DBus Gui Network Widgets)
-set(CALENDARUTILS_LIB_VERSION "6.3.3")
+set(CALENDARUTILS_LIB_VERSION "6.5.0")
 
 
 option(ENABLE_AKONADI_PLUGIN "Build the Akonadi plugin" ON)
@@ -128,20 +127,27 @@
 find_package(KPim6IdentityManagementWidgets ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
 find_package(KPim6Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
 
+# Build support for audio backend plugins
 option(ENABLE_LIBVLC "Build support for LibVLC" ON)
 add_feature_info(ENABLE_LIBVLC ${ENABLE_LIBVLC} "Provides support for playing sound files using LibVLC")
+if(WIN32)
 option(ENABLE_LIBMPV "Build support for Libmpv" OFF)
+else()
+option(ENABLE_LIBMPV "Build support for Libmpv" ON)
+endif()
 add_feature_info(ENABLE_LIBMPV ${ENABLE_LIBMPV} "Provides support for playing sound files using Libmpv")
 
 if(ENABLE_LIBVLC)
     find_package(LibVLC "3.0.0" QUIET REQUIRED)
     set_package_properties(LibVLC PROPERTIES PURPOSE "Used to play audio alarms")
-elseif(ENABLE_LIBMPV)
+endif()
+if(ENABLE_LIBMPV)
     # Note: libmpv < 2.2.0 has threading issues which cause hang-ups
     find_package(Libmpv "2.2.0" QUIET REQUIRED)
     set_package_properties(Libmpv PROPERTIES PURPOSE "Used to play audio alarms")
-else()
-    message(FATAL_ERROR "Support for either ENABLE_LIBVLC or ENABLE_LIBMPV must be enabled for playing sound files")
+endif()
+if(NOT ENABLE_LIBVLC AND NOT ENABLE_LIBMPV)
+    message(FATAL_ERROR "One or more of ENABLE_LIBVLC or ENABLE_LIBMPV must be enabled for support for playing sound files")
 endif()
 
 find_package(KF6TextEditTextToSpeech ${KTEXTADDONS_MIN_VERSION} CONFIG)
@@ -184,7 +190,7 @@
 
 add_definitions(-DQT_MESSAGELOGCONTEXT)
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.7.0  KF 6.8.0)
+ecm_set_disabled_deprecation_versions(QT 6.8.1  KF 6.16.0)
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)
