## kalarm 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.0")
+set(PIM_VERSION "6.5.1")
 set(PIM_VERSION ${PIM_VERSION})
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Whenever KALARM_VERSION changes, set the 3 variables below it to the first
@@ -59,18 +59,18 @@
 
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
-set(AKONADI_VERSION "6.5.0")
-set(AKONADI_MIMELIB_VERSION "6.5.0")
-set(AKONADI_CONTACT_VERSION "6.5.0")
-set(KMAILTRANSPORT_LIB_VERSION "6.5.0")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.0")
-set(KMIME_LIB_VERSION "6.5.0")
+set(AKONADI_VERSION "6.5.1")
+set(AKONADI_MIMELIB_VERSION "6.5.1")
+set(AKONADI_CONTACT_VERSION "6.5.1")
+set(KMAILTRANSPORT_LIB_VERSION "6.5.1")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.1")
+set(KMIME_LIB_VERSION "6.5.1")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
 
 find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED DBus Gui Network Widgets)
-set(CALENDARUTILS_LIB_VERSION "6.5.0")
+set(CALENDARUTILS_LIB_VERSION "6.5.1")
 
 
 option(ENABLE_AKONADI_PLUGIN "Build the Akonadi plugin" ON)
